<template>
  <div>
    <!-- <v-app id="inspire"> -->
    <v-navigation-drawer fixed v-model="drawer" app>
      <v-list dense>
        <v-list-tile @click="goTo('accueil')">
          <v-list-tile-action>
            <v-icon>home</v-icon>
          </v-list-tile-action>
          <v-list-tile-content>
            <v-list-tile-title>Accueil Site</v-list-tile-title>
          </v-list-tile-content>
        </v-list-tile>
        <v-list-tile @click="goTo('admin-default')">
          <v-list-tile-action>
            <v-icon>dashboard</v-icon>
          </v-list-tile-action>
          <v-list-tile-content>
            <v-list-tile-title>Accueil Admin</v-list-tile-title>
          </v-list-tile-content>
        </v-list-tile>
        <hr />
        <v-list-tile v-for="item in menuClient" :key="item.order" @click="goTo(item.href, item)">
          <v-list-tile-action>
            <v-icon>{{ item.icon }}</v-icon>
          </v-list-tile-action>
          <v-list-tile-content>
            <v-list-tile-title>{{ item.name }}</v-list-tile-title>
          </v-list-tile-content>
        </v-list-tile>
      </v-list>
      <v-list
        dense
        v-if="userStore.adminRole == 'ROLE_COMMERCIAL' || userStore.adminRole == 'ROLE_ADMIN'"
      >
        <hr />
        <v-list-tile
          v-for="item in menuCommercial"
          :key="item.order"
          @click="goTo(item.href, item)"
        >
          <v-list-tile-action>
            <v-icon>{{ item.icon }}</v-icon>
          </v-list-tile-action>
          <v-list-tile-content>
            <v-list-tile-title>{{ item.name }}</v-list-tile-title>
          </v-list-tile-content>
        </v-list-tile>
      </v-list>

      <v-list dense v-if="userStore.adminRole == 'ROLE_ADMIN'">
        <hr />
        <v-list-tile v-for="item in menuAdmin" :key="item.order" @click="goTo(item.href, item)">
          <v-list-tile-action>
            <v-icon>{{ item.icon }}</v-icon>
          </v-list-tile-action>
          <v-list-tile-content>
            <v-list-tile-title>{{ item.name }}</v-list-tile-title>
          </v-list-tile-content>
        </v-list-tile>
      </v-list>
    </v-navigation-drawer>

    <v-toolbar color="indigo" dark fixed app>
      <v-toolbar-side-icon @click.stop="drawer = !drawer"></v-toolbar-side-icon>
      <v-toolbar-title>Administration</v-toolbar-title>
      <v-spacer></v-spacer>
      <v-btn icon @click="logout()">
        <v-icon>exit_to_app</v-icon>
      </v-btn>
      <v-btn icon>
        <v-icon>notifications</v-icon>
      </v-btn>
    </v-toolbar>

    <v-footer color="indigo" app inset>
      <span class="white--text">&nbsp; &copy; AerialGroup 2020</span>
    </v-footer>
    <!-- </v-app> -->
  </div>
</template>
<style scoped>
#menuadmin a {
  text-decoration: none !important;
}
</style>
<script>
import menuAdminJson from "@/config-data/config-products.json";
import { authenticationService } from "../../_services/authentication.service";
import { mapState } from "vuex";
export default {
  mounted: function() {
    this.fetchMenuLinks();
  },
  computed: {
    // récupération infos client
    ...mapState({
      userStore: state => state.userStore
    })
  },
  data() {
    return {
      menuAdminJson,
      drawer: null,
      menuAdmin: [],
      menuCommercial: [],
      menuClient: []
    };
  },
  methods: {
    logout() {
      authenticationService.logout();
    },
    goTo(link, item) {
      // console.log("item", item);
      this.$router.push({ name: link });
      if (item && item.module) {
        this.$router.push({ name: link, params: { module: item.module } });
      } else {
        this.$router.push({ name: link });
      }
    },
    fetchMenuLinks() {
      this.menuAdminJson.forEach(el => {
        let allRoles = el.roles.split(",");
        for (let i = 0; i < allRoles.length; i++) {
          if (allRoles[i] == "'ROLE_ADMIN'") {
            this.menuAdmin.push(el);
            break;
          } else if (allRoles[i] == "'ROLE_COMMERCIAL'") {
            this.menuCommercial.push(el);
            break;
          } else if (allRoles[i] == "'ROLE_CLIENT'") {
            this.menuClient.push(el);
            break;
          }
        }
      });
      this.menuAdmin = this.menuAdmin.sort(function(a, b) {
        return parseFloat(a.ordre) - parseFloat(b.ordre);
      });
      this.menuCommercial = this.menuCommercial.sort(function(a, b) {
        return parseFloat(a.ordre) - parseFloat(b.ordre);
      });
      this.menuClient = this.menuClient.sort(function(a, b) {
        return parseFloat(a.ordre) - parseFloat(b.ordre);
      });
    }
  }
};
</script>
